#MenuHorizontal {
    width: 300px;
    border: 2px solid green;
}

#MenuHorizontal a {
    padding: 0 28px;
    text-decoration: none;
    color: violet;
    background-color: lightblue;
}

<!-- a : hover Se utliza para dar vista cuando pasamos el raton. -->

#MenuHorizontal a:hover {
    background-color: grey;
}

<!-- a : visited Se utliza para dar vista cuando ya ha sido visitado. -->

#MenuHorizontal a:visited {
    color: red;
}

#MenuVertical a {
    padding: 20px 10px;
    text-decoration: none;
    display: block;
    color: red;
    background-color: lightyellow;
}

#MenuVertical {
    width: 200px;
    border: 2px solid blue;
    border-collapse: separate;
}